import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:get/get.dart';

class ModalUtil {
  static Future<bool> showWarningDialog(
      String title, String msg, String button, VoidCallback onConfirm) async {
    bool confirmed = false;
    await showDialog(
      context: Get.overlayContext!,
      builder: (context) {
        return AlertDialog(
          title: Text(title),
          content: Text(msg),
          actions: [
            TextButton(
              child: const Text(
                'Cancel',
                style: TextStyle(color: Colors.black),
              ),
              onPressed: () {
                Navigator.of(context).pop();
                confirmed = false;
              },
            ),
            TextButton(
              child: Text(
                button,
                style: TextStyle(color: Colors.orange),
              ),
              onPressed: () {
                onConfirm();
                Navigator.pop(context);
                confirmed = true;
              },
            ),
          ],
        );
      },
    );
    return confirmed;
  }
}
